%define upstream_name    Template-Plugin-Class
%define upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Allow calling of class methods on arbitrary classes
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.bz2

Buildrequires:  perl(Template)
buildArch:      noarch


%description
Template::Plugin::Class allows you to call class methods on arbitrary classes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL installdirs=vendor
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/Template
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 373127
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 36563
- mageia rebuild
- cleaning spec file
- imported package perl-Template-Plugin-Class

